﻿@{
    ViewBag.Title = "افزودن کاربر به نقش " + ViewBag.RoleName;
}

<div class="row">
    <div class="card-box">
        <h4 class="m-t-0 header-title"><b>@ViewBag.Title</b></h4>
        <form method="post">
            @Html.AntiForgeryToken()
            <input type="hidden" name="RoleId" value="@ViewBag.RoleId"/>
            <div class="col-md-12">
                <div class="form-group">
                    <label for="UserId">کاربر</label>
                    <select class="form-control" id="UserId" name="UserId"></select>
                </div>
            </div>
            <div class="col-md-12">
                <input type="submit" value="ثبت" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

@section scripts{
    <script>
        $('#UserId').select2({
                language: "fa",
                dir: "rtl",
                delay: 450,
                width: "100%",
                ajax: {
                    url: '@Url.Action("Select2Ajax","User")',
                    data: function (params) {
                        var query = {
                            search: params.term
                        }

                        // Query parameters will be ?search=[term]
                        return query;
                    },
                    processResults: function (data) {
                        // Tranforms the top-level key of the response object from 'items' to 'results'
                        return {
                            results: data
                        };
                    }
                }
            });
    </script>
}